Error when read issue details
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.4

Description

Hello good People,

now i've the next problem and i hope somebody can help me:

Started GET "/custom_fields/32/edit" for 10.20.1.35 at 2017-06-30 13:32:56 +0200

Processing by CustomFieldsController#edit as HTML

  Parameters: {"id"=>"32"}

  Current user: xx.xxx (id=1080)

  Rendered custom_fields/formats/_list.html.erb (15.6ms)

TinyTds::Error: A column has been specified more than once in the order by list. Columns in the or

der by list must be unique.: EXEC sp_executesql N'SELECT [roles].* FROM [roles] WHERE [roles].[bui

ltin] = @0  ORDER BY roles.position ASC, roles.builtin ASC, roles.position ASC', N'@0 int', @0 = 0

  Rendered custom_fields/_form.html.erb (203.1ms)

  Rendered custom_fields/edit.html.erb within layouts/admin (203.1ms)

Completed 500 Internal Server Error in 219ms (ActiveRecord: 0.0ms)

ActionView::Template::Error (TinyTds::Error: A column has been specified more than once in the ord

er by list. Columns in the order by list must be unique.: EXEC sp_executesql N'SELECT [roles].* FR

OM [roles] WHERE [roles].[builtin] = @0  ORDER BY roles.position ASC, roles.builtin ASC, roles.pos

ition ASC', N'@0 int', @0 = 0):

    44:               :data => {:enables => '.custom_field_role input'} %>

    45:         <%= l(:label_visibility_roles) %>:

    46:       </label>

    47:       <% Role.givable.sorted.each do |role| %>

    48:         <label class="block custom_field_role" style="padding-left:2em;">

    49:           <%= check_box_tag 'custom_field[role_ids][]', role.id, @custom_field.roles.inclu

de?(role), :id => nil %>

    50:           <%= role.name %>

  app/views/custom_fields/_form.html.erb:47:in `_app_views_custom_fields__form_html_erb___90177283

5_59902284'

  app/views/custom_fields/edit.html.erb:6:in `block in _app_views_custom_fields_edit_html_erb__233

822614_60504744'

  app/helpers/application_helper.rb:1026:in `labelled_form_for'

  app/views/custom_fields/edit.html.erb:5:in `_app_views_custom_fields_edit_html_erb__233822614_60

504744'

 My Config is:

Redmine version 3.0.4.stable

Ruby version 2.2.6-p396 (2016-11-15) [i386-mingw32]

Rails version 4.2.3

Environment production

Database adapter SQLServer

Please help me to find a solution - but i'm not a RoR Developer!

Best Regards

René
#1 - 2017-07-06 13:38 - Rene Kolbe

Sorry, wrong Healine - Problem with custom fields is the right one!

#2 - 2017-07-06 14:29 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Redmine 3.0.4 is not maintained.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/versions/97
http://www.tcpdf.org

